#!/usr/bin/ruby

frm = 0
fovx = 75.0
fovy = 75.0
yaw   = 0.0
pitch = 0.0
frames = 300
duration = 10.0
while frm < frames;
  yaw   = 360.0*frm/frames - 180.0
  sec = frm*1.0/(frames*1.0)*10.0
  if (sec < duration/4)
    pitch = 90.0 * sec / (duration/4)
  elsif (sec >= duration/4 && sec < 3*duration/4)
    pitch = 90.0 - 180.0 * (sec - duration/4) / (duration/2)
  else
    pitch = -90.0 + 90.0 * (sec - duration*3/4) / (duration/4)
  end
  printf("%d %.2f %.2f %.2f %.2f\n", frm, fovx, fovy, yaw, pitch)
  frm  += 1
end
